#3172 closed defect (fixed)

i386 PC BSP does not reset when bsp_reset is called.

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 5.1
Component: arch/i386 Version: 5
Severity: blocker Keywords: PC i386 reset
Cc: Blocked By:
Blocking:

Description

Removal of the Edison support removed the standard PC reset using the keyboard controller rather then the specific Edison support.

Change History (4)

comment:1 Changed on Oct 9, 2017 at 3:14:53 AM by Joel Sherrill

I noticed the wrong code was removed Thursday and have a patch ready to push.

comment:2 Changed on Oct 9, 2017 at 3:26:42 AM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 19cbd194/rtems:

pc386/.../bspreset.c: Readd proper reset code.

The removal of the Edison code removed the wrong part of the
conditional.

Closes #3172.

comment:3 Changed on Oct 10, 2017 at 6:55:23 AM by Sebastian Huber

Component: bspsarch/i386

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.